/***************************************************************************
                          aspscanlist.h  -  description
                             -------------------
    begin                : sam oct 5 2002
    copyright            : (C) 2002 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ASPSCANLIST_H
#define ASPSCANLIST_H

#include "graphiclistbase.h"
#include "astroresources.h"

/**This class manages aspects scan lists, i.e.
lists of exact aspects between fixed and moving objects, 
arising during a given time span.
  *@author Christophe Gros
*/
class ChartBaseParams;
class ScanClient;
class StopScan;

enum AspKind { ExAsp, ChangeDir };

struct AspData
{
	enum AspKind ak;
	enum Objs a, b;
	enum Aspects asp;
	double apos, bpos;
	double jd;
};

class AspScanList : public GraphicListBase
{
public:

	friend class StopScan;
	friend class ScanClient;

	/** Constructor */	 
	AspScanList(ChartBaseParams*, ObjsVector*);

	/** Destructor */
	~AspScanList();

	void DrawDate(int i, double ipos, int j, double jpos, int asp, double julday);

	void DrawChange(int i, double ipos, double date);

	/** Overloaded redisplay method */
  bool Redisplay();

  bool PostRecompute();

private:

	AspScanParams Asp;
	AstroObjs *First, *Second;
	struct DataComp Dc;
	DCTransfert Dct;
	ScanClient* Sci;
	StopScan* Ss;
	AstroList(struct AspData) AdList;
	const AstroString& ObjName(int i) const;
};

#endif
