#include "editchartparms.h"
#include <qcheckbox.h>

/* 
 *  Constructs a EditChartParms which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EditChartParms::EditChartParms(ChartParams* cp)
    : _EditChartParms(0, 0, TRUE, 0)
{
  Cp = cp;
  CpBase = *Cp;
  DynamicResize->setChecked(CpBase.DynamicResize);
  LeftAscendant->setChecked(CpBase.LeftAscendant);
  Sidebars->setChecked(CpBase.Sidebars);
  AspectsFrame->setChecked(CpBase.AspectsFrame);
	DisplayMidPoints->setChecked(CpBase.DisplayMidPoints);
  DisplaySeconds->setChecked(CpBase.DisplaySeconds);
  AspRing ->setChecked(CpBase.CentralRing);
  CaprGlyph->setChecked(CpBase.EuropCapr);
  UranGlyph->setChecked(CpBase.EuropUran);
  PlutoGlyph->setChecked(CpBase.EuropPlut);
}

/*  
 *  Destroys the object and frees any allocated resources
 */
EditChartParms::~EditChartParms()
{
    // no need to delete child widgets, Qt does it all for us
}

/* 
 * public slot
 */
void EditChartParms::OkSlot()
{
  CpBase.DynamicResize = DynamicResize->isChecked();
  CpBase.LeftAscendant = LeftAscendant->isChecked();
  CpBase.Sidebars      = Sidebars->isChecked();
  CpBase.AspectsFrame = AspectsFrame->isChecked();
	CpBase.DisplayMidPoints = DisplayMidPoints->isChecked();
  CpBase.DisplaySeconds = DisplaySeconds->isChecked();
  CpBase.CentralRing = AspRing ->isChecked();
  CpBase.EuropCapr = CaprGlyph->isChecked();
  CpBase.EuropUran = UranGlyph->isChecked();
  CpBase.EuropPlut = PlutoGlyph->isChecked();
  *Cp = CpBase;
  emit accept();
}
/* 
 * public slot
 */
void EditChartParms::CancelSlot()
{
  emit reject();
}

