#include "scanspan.h"
#include "astroresources.h"
#include <qspinbox.h>
#include <qbuttongroup.h>
 
/* 
 *  Constructs a ScanSpan which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EditScanSpan::EditScanSpan(AspScanParams* asp)
    : _EditScanSpan(0, "ScanSpan", TRUE, 0)
{
	Selected = Current_Day;
	TimeSpan->setExclusive(TRUE);
	TimeSpan->setButton(asp->Ss);
	Years->setMinValue(1);
	Years->setMaxValue(10000);	
	Years->setValue(asp->NbYears);
}

void EditScanSpan::ButtonSlot(int i)
{
	Selected = (enum ScanSpan)i;
}

/*  
 *  Destroys the object and frees any allocated resources
 */
EditScanSpan::~EditScanSpan()
{
    // no need to delete child widgets, Qt does it all for us
}

