#ifndef SEARCHDATA_H
#define SEARCHDATA_H
#include "_searchdata.h"
#include "astrosql.h"
#include <qlistview.h>
#include "astrowindow.h"

class SearchData : public _SearchData
{ 
    Q_OBJECT

public:
    SearchData();
    ~SearchData();

public slots:
    void ClickedSlot(QListViewItem*);
    void OkSlot();
    void ReqTypeSlot(int);
    void SearchSlot();
    void CancelSlot();
    void ANDSlot();
    void AspectsSlot(int);
    void PlanetsSlot(int);
    void NOTSlot();
    void ORSlot();
    void TAspSlot();
    void THouseSlot();
    void TObjSlot();
    void TRestSlot();

private:

    int SQLReqType;
    AstroRequest Arq;
    void Insert(const QString& qs, int pos = 0);
    void ShowBtn(bool);

};

class SearchItem : public QListViewItem
{
 public:
  
  SearchItem(QListView* parent, Index idx, const AstroString& name, const AstroString& date, const AstroString& place, const AstroIcon& icon);
  Index Idx;
};
#endif // SEARCHDATA_H
