/***************************************************************************
                          stdgraphiclist.h  -  description
                             -------------------
    begin                : mer ao 21 2002
    copyright            : (C) 2002 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STDGRAPHICLIST_H
#define STDGRAPHICLIST_H

#include <graphiclistbase.h>
#include "astroaspects.h"

/**This class manages a tabulated list
of values + aspects list
  *@author Christophe Gros
  */
  
class AstroAspectsFrame;

class StdGraphicList : public GraphicListBase  {
public:

	/** Constructor */ 
	StdGraphicList(ChartBaseParams*, ObjsVector*);

	/** Destructor */
	~StdGraphicList();

	/** Overloaded method */
	bool Redisplay();

	/** Return the aspects list */
 inline const AstroFoundAspectsList* GetAspectsList() const { return &Afal; }

private:

	void DisplayAspects();
	void DispMidPoints(const AstroObjs& a, const AstroObjs& b, bool ifsameplanet);
	void DisplayValues(const AstroObjs&);
	void DisplayValues(const AstroString&, const struct DataValues&);
  AstroFoundAspectsList Afal;
  AstroObjs *First, *Second;
};

#endif
