#include "stopscan.h"
#include <qprogressbar.h>
#include "aspscanlist.h"

/* 
 *  Constructs a StopScan which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
StopScan::StopScan(AspScanList* asl)
    : _StopScan(0, "StopScan", FALSE, 0)
{
	Asl = asl;
	emit ProgressBar->setTotalSteps(100);
	show();
}

/*  
 *  Destroys the object and frees any allocated resources
 */
StopScan::~StopScan()
{
    // no need to delete child widgets, Qt does it all for us
}

void StopScan::StopSlot()
{
	Asl->Second->GetInterface()->StopScan();
}

